Page MenuHomePhabricator

PropertySuggester tests not being run with Wikidata Build
Closed, InvalidPublic

Description

T152065 wasn't caught and https://gerrit.wikimedia.org/r/#/c/324651/ passed

seems that PropertySuggester tests not being run with Wikidata Build tests

Event Timeline

aude created this task.Dec 1 2016, 4:18 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 1 2016, 4:18 AM
aude added a comment.Apr 23 2017, 7:51 PM

this is still valid

aude added a comment.EditedApr 23 2017, 8:52 PM

should be fixed with a new release of PropertySuggester which includes converting the extension to use extension registration

https://github.com/Wikidata-lib/PropertySuggester/pull/199

w/o extension registration, it's necessary to use UnitTestsList hook which PropertySuggester didn't for tests to register with extensions testsuite

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 22 2017, 1:42 PM
Restricted Application added a subscriber: PokestarFan. · View Herald TranscriptAug 1 2017, 10:45 PM
Addshore closed this task as Invalid.Nov 30 2017, 11:55 AM

The build will soon be dead